language_map = {
    '.txt': 'text',
    '.feature': 'Cucumber',
    '.abap': 'abap',
    '.adb': 'ada',
    '.ada': 'ada',
    '.ads': 'ada',
    '.ahk': 'ahk',
    '.ahkl': 'ahk',
    '.g4': 'antlr',
    '.apacheconf': 'apacheconf',
    '.vhost': 'apacheconf',
    '.applescript': 'applescript',
    '.scpt': 'applescript',
    '.as': 'as',
    '.asp': 'aspx-vb',
    '.asax': 'aspx-vb',
    '.ascx': 'aspx-vb',
    '.ashx': 'aspx-vb',
    '.asmx': 'aspx-vb',
    '.aspx': 'aspx-vb',
    '.axd': 'aspx-vb',
    '.sh': 'bash',
    '.bash': 'bash',
    '.bats': 'bash',
    '.cgi': 'bash',
    '.command': 'bash',
    '.fcgi': 'bash',
    '.ksh': 'bash',
    '.sh.in': 'bash',
    '.tmux': 'bash',
    '.tool': 'bash',
    '.zsh': 'bash',
    '.bat': 'bat',
    '.cmd': 'bat',
    '.befunge': 'befunge',
    '.bmx': 'blitzmax',
    '.boo': 'boo',
    '.c': 'c',
    '.cats': 'c',
    '.h': 'c',
    '.idc': 'c',
    '.w': 'c',
    '.c-objdump': 'c-objdump',
    '.cfm': 'cfm',
    '.cfml': 'cfm',
    '.clj': 'clojure',
    '.boot': 'clojure',
    '.cl2': 'clojure',
    '.cljc': 'clojure',
    '.cljs': 'clojure',
    '.cljs.hl': 'clojure',
    '.cljscm': 'clojure',
    '.cljx': 'clojure',
    '.hic': 'clojure',
    '.cmake': 'cmake',
    '.cmake.in': 'cmake',
    '.coffee': 'coffee-script',
    '._coffee': 'coffee-script',
    '.cake': 'coffee-script',
    '.cjsx': 'coffee-script',
    '.iced': 'coffee-script',
    '.lisp': 'common-lisp',
    '.asd': 'common-lisp',
    '.cl': 'common-lisp',
    '.l': 'common-lisp',
    '.lsp': 'common-lisp',
    '.ny': 'common-lisp',
    '.podsl': 'common-lisp',
    '.sexp': 'common-lisp',
    '.sh-session': 'console',
    '.cpp': 'cpp',
    '.c++': 'cpp',
    '.cc': 'cpp',
    '.cp': 'cpp',
    '.cxx': 'cpp',
    '.h': 'cpp',
    '.h++': 'cpp',
    '.hh': 'cpp',
    '.hpp': 'cpp',
    '.hxx': 'cpp',
    '.inc': 'cpp',
    '.inl': 'cpp',
    '.ipp': 'cpp',
    '.re': 'cpp',
    '.tcc': 'cpp',
    '.tpp': 'cpp',
    '.cppobjdump': 'cpp-objdump',
    '.c++-objdump': 'cpp-objdump',
    '.c++objdump': 'cpp-objdump',
    '.cpp-objdump': 'cpp-objdump',
    '.cxx-objdump': 'cpp-objdump',
    '.cs': 'csharp',
    '.cake': 'csharp',
    '.cshtml': 'csharp',
    '.csx': 'csharp',
    '.css': 'css',
    '.pyx': 'cython',
    '.pxd': 'cython',
    '.pxi': 'cython',
    '.d': 'd',
    '.di': 'd',
    '.d-objdump': 'd-objdump',
    '.cp': 'delphi',
    '.cps': 'delphi',
    '.diff': 'diff',
    '.patch': 'diff',
    '.jinja': 'html+django',
    '.mustache': 'html+django',
    '.njk': 'html+django',
    '.darcspatch': 'dpatch',
    '.dpatch': 'dpatch',
    '.dylan': 'dylan',
    '.dyl': 'dylan',
    '.intr': 'dylan',
    '.lid': 'dylan',
    '.erb': 'erb',
    '.erb.deface': 'erb',
    '.erl': 'erlang',
    '.app.src': 'erlang',
    '.es': 'erlang',
    '.escript': 'erlang',
    '.hrl': 'erlang',
    '.xrl': 'erlang',
    '.yrl': 'erlang',
    '.factor': 'factor',
    '.f90': 'fortran',
    '.f': 'fortran',
    '.f03': 'fortran',
    '.f08': 'fortran',
    '.f77': 'fortran',
    '.f95': 'fortran',
    '.for': 'fortran',
    '.fpp': 'fortran',
    '.kid': 'genshi',
    '.glsl': 'glsl',
    '.fp': 'glsl',
    '.frag': 'glsl',
    '.frg': 'glsl',
    '.fs': 'glsl',
    '.fsh': 'glsl',
    '.fshader': 'glsl',
    '.geo': 'glsl',
    '.geom': 'glsl',
    '.glslv': 'glsl',
    '.gshader': 'glsl',
    '.shader': 'glsl',
    '.vert': 'glsl',
    '.vrx': 'glsl',
    '.vsh': 'glsl',
    '.vshader': 'glsl',
    '.gp': 'gnuplot',
    '.gnu': 'gnuplot',
    '.gnuplot': 'gnuplot',
    '.plot': 'gnuplot',
    '.plt': 'gnuplot',
    '.go': 'go',
    '.haml': 'haml',
    '.haml.deface': 'haml',
    '.hs': 'haskell',
    '.hsc': 'haskell',
    '.html': 'html',
    '.htm': 'html',
    '.html.hl': 'html',
    '.inc': 'html',
    '.st': 'html',
    '.xht': 'html',
    '.xhtml': 'html',
    '.phtml': 'html+php',
    '.hx': 'hx',
    '.hxsl': 'hx',
    '.ini': 'ini',
    '.cfg': 'ini',
    '.prefs': 'ini',
    '.pro': 'ini',
    '.properties': 'ini',
    '.io': 'io',
    '.ik': 'ioke',
    '.irclog': 'irc',
    '.weechatlog': 'irc',
    '.jade': 'jade',
    '.pug': 'jade',
    '.java': 'java',
    '.js': 'js',
    '._js': 'js',
    '.bones': 'js',
    '.es': 'js',
    '.es6': 'js',
    '.frag': 'js',
    '.gs': 'js',
    '.jake': 'js',
    '.jsb': 'js',
    '.jscad': 'js',
    '.jsfl': 'js',
    '.jsm': 'js',
    '.jss': 'js',
    '.njs': 'js',
    '.pac': 'js',
    '.sjs': 'js',
    '.ssjs': 'js',
    '.xsjs': 'js',
    '.xsjslib': 'js',
    '.jsp': 'jsp',
    '.lhs': 'lhs',
    '.ll': 'llvm',
    '.lgt': 'logtalk',
    '.logtalk': 'logtalk',
    '.lua': 'lua',
    '.fcgi': 'lua',
    '.nse': 'lua',
    '.pd_lua': 'lua',
    '.rbxs': 'lua',
    '.wlua': 'lua',
    '.mak': 'make',
    '.d': 'make',
    '.make': 'make',
    '.mk': 'make',
    '.mkfile': 'make',
    '.mako': 'mako',
    '.mao': 'mako',
    '.m': 'matlab',
    '.matlab': 'matlab',
    '.minid': 'minid',
    '.mo': 'modelica',
    '.mod': 'modula2',
    '.moo': 'moocode',
    '.mu': 'mupad',
    '.myt': 'myghty',
    '.asm': 'nasm',
    '.a51': 'nasm',
    '.inc': 'nasm',
    '.nasm': 'nasm',
    '.nginxconf': 'nginx',
    '.numpy': 'numpy',
    '.numpyw': 'numpy',
    '.numsc': 'numpy',
    '.objdump': 'objdump',
    '.m': 'objective-c',
    '.h': 'objective-c',
    '.j': 'objective-j',
    '.sj': 'objective-j',
    '.ml': 'ocaml',
    '.eliom': 'ocaml',
    '.eliomi': 'ocaml',
    '.ml4': 'ocaml',
    '.mli': 'ocaml',
    '.mll': 'ocaml',
    '.mly': 'ocaml',
    '.ooc': 'ooc',
    '.pl': 'perl',
    '.al': 'perl',
    '.cgi': 'perl',
    '.fcgi': 'perl',
    '.perl': 'perl',
    '.ph': 'perl',
    '.plx': 'perl',
    '.pm': 'perl',
    '.pod': 'perl',
    '.psgi': 'perl',
    '.t': 'perl',
    '.php': 'php',
    '.aw': 'php',
    '.ctp': 'php',
    '.fcgi': 'php',
    '.inc': 'php',
    '.php3': 'php',
    '.php4': 'php',
    '.php5': 'php',
    '.phps': 'php',
    '.phpt': 'php',
    '.ps': 'postscript',
    '.eps': 'postscript',
    '.po': 'pot',
    '.pot': 'pot',
    '.pov': 'pov',
    '.inc': 'pov',
    '.pl': 'prolog',
    '.pro': 'prolog',
    '.prolog': 'prolog',
    '.yap': 'prolog',
    '.proto': 'protobuf',
    '.pytb': 'pytb',
    '.py': 'python',
    '.bzl': 'python',
    '.cgi': 'python',
    '.fcgi': 'python',
    '.gyp': 'python',
    '.gypi': 'python',
    '.lmi': 'python',
    '.py3': 'python',
    '.pyde': 'python',
    '.pyp': 'python',
    '.pyt': 'python',
    '.pyw': 'python',
    '.rpy': 'python',
    '.spec': 'python',
    '.tac': 'python',
    '.wsgi': 'python',
    '.xpy': 'python',
    '.rl': 'ragel',
    '.raw': 'raw',
    '.rb': 'rb',
    '.builder': 'rb',
    '.fcgi': 'rb',
    '.gemspec': 'rb',
    '.god': 'rb',
    '.irbrc': 'rb',
    '.jbuilder': 'rb',
    '.mspec': 'rb',
    '.pluginspec': 'rb',
    '.podspec': 'rb',
    '.rabl': 'rb',
    '.rake': 'rb',
    '.rbuild': 'rb',
    '.rbw': 'rb',
    '.rbx': 'rb',
    '.ru': 'rb',
    '.ruby': 'rb',
    '.spec': 'rb',
    '.thor': 'rb',
    '.watchr': 'rb',
    '.reb': 'rebol',
    '.r': 'rebol',
    '.r2': 'rebol',
    '.r3': 'rebol',
    '.rebol': 'rebol',
    '.cw': 'redcode',
    '.rhtml': 'rhtml',
    '.rst': 'rst',
    '.rest': 'rst',
    '.rest.txt': 'rst',
    '.rst.txt': 'rst',
    '.sass': 'sass',
    '.scala': 'scala',
    '.sbt': 'scala',
    '.sc': 'scala',
    '.scaml': 'scaml',
    '.scm': 'scheme',
    '.sld': 'scheme',
    '.sls': 'scheme',
    '.sps': 'scheme',
    '.ss': 'scheme',
    '.scss': 'scss',
    '.ston': 'smalltalk',
    '.tpl': 'smarty',
    '.r': 'splus',
    '.rd': 'splus',
    '.rsx': 'splus',
    '.sql': 'sql',
    '.cql': 'sql',
    '.ddl': 'sql',
    '.inc': 'sql',
    '.prc': 'sql',
    '.tab': 'sql',
    '.udf': 'sql',
    '.viw': 'sql',
    '.tcl': 'tcl',
    '.adp': 'tcl',
    '.tm': 'tcl',
    '.tcsh': 'tcsh',
    '.csh': 'tcsh',
    '.tex': 'tex',
    '.aux': 'tex',
    '.bbx': 'tex',
    '.bib': 'tex',
    '.cbx': 'tex',
    '.cls': 'tex',
    '.dtx': 'tex',
    '.ins': 'tex',
    '.lbx': 'tex',
    '.ltx': 'tex',
    '.mkii': 'tex',
    '.mkiv': 'tex',
    '.mkvi': 'tex',
    '.sty': 'tex',
    '.toc': 'tex',
    '.v': 'v',
    '.veo': 'v',
    '.vala': 'vala',
    '.vapi': 'vala',
    '.vb': 'vb.net',
    '.bas': 'vb.net',
    '.cls': 'vb.net',
    '.frm': 'vb.net',
    '.frx': 'vb.net',
    '.vba': 'vb.net',
    '.vbhtml': 'vb.net',
    '.vbs': 'vb.net',
    '.vim': 'vim',
    '.xml': 'xml',
    '.ant': 'xml',
    '.axml': 'xml',
    '.builds': 'xml',
    '.ccxml': 'xml',
    '.clixml': 'xml',
    '.cproject': 'xml',
    '.csl': 'xml',
    '.csproj': 'xml',
    '.ct': 'xml',
    '.dita': 'xml',
    '.ditamap': 'xml',
    '.ditaval': 'xml',
    '.dll.config': 'xml',
    '.dotsettings': 'xml',
    '.filters': 'xml',
    '.fsproj': 'xml',
    '.fxml': 'xml',
    '.glade': 'xml',
    '.gml': 'xml',
    '.grxml': 'xml',
    '.iml': 'xml',
    '.ivy': 'xml',
    '.jelly': 'xml',
    '.jsproj': 'xml',
    '.kml': 'xml',
    '.launch': 'xml',
    '.mdpolicy': 'xml',
    '.mm': 'xml',
    '.mod': 'xml',
    '.mxml': 'xml',
    '.nproj': 'xml',
    '.nuspec': 'xml',
    '.odd': 'xml',
    '.osm': 'xml',
    '.pkgproj': 'xml',
    '.plist': 'xml',
    '.pluginspec': 'xml',
    '.props': 'xml',
    '.ps1xml': 'xml',
    '.psc1': 'xml',
    '.pt': 'xml',
    '.rdf': 'xml',
    '.resx': 'xml',
    '.rss': 'xml',
    '.sch': 'xml',
    '.scxml': 'xml',
    '.sfproj': 'xml',
    '.srdf': 'xml',
    '.storyboard': 'xml',
    '.stTheme': 'xml',
    '.sublime-snippet': 'xml',
    '.targets': 'xml',
    '.tmCommand': 'xml',
    '.tml': 'xml',
    '.tmLanguage': 'xml',
    '.tmPreferences': 'xml',
    '.tmSnippet': 'xml',
    '.tmTheme': 'xml',
    '.ts': 'xml',
    '.tsx': 'xml',
    '.ui': 'xml',
    '.urdf': 'xml',
    '.ux': 'xml',
    '.vbproj': 'xml',
    '.vcxproj': 'xml',
    '.vssettings': 'xml',
    '.vxml': 'xml',
    '.wsdl': 'xml',
    '.wsf': 'xml',
    '.wxi': 'xml',
    '.wxl': 'xml',
    '.wxs': 'xml',
    '.x3d': 'xml',
    '.xacro': 'xml',
    '.xaml': 'xml',
    '.xib': 'xml',
    '.xlf': 'xml',
    '.xliff': 'xml',
    '.xmi': 'xml',
    '.xml.dist': 'xml',
    '.xproj': 'xml',
    '.xsd': 'xml',
    '.xul': 'xml',
    '.zcml': 'xml',
    '.xquery': 'xquery',
    '.xq': 'xquery',
    '.xql': 'xquery',
    '.xqm': 'xquery',
    '.xqy': 'xquery',
    '.xslt': 'xslt',
    '.xsl': 'xslt',
    '.yml': 'yaml',
    '.reek': 'yaml',
    '.rviz': 'yaml',
    '.sublime-syntax': 'yaml',
    '.syntax': 'yaml',
    '.yaml': 'yaml',
    '.yaml-tmlanguage': 'yaml'
}
